Bug 381641 - RFE Add support to anaconda for AOE similar to iSCSI support.
RFE Add support to anaconda for AOE similar to iSCSI support.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2007-11-14 00:45 EST by Greg Morgan
Modified: 2009-01-09 00:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2007-11-14 00:45:09 EST
Description of RFE:

iSCSI support was added to anaconda sometime ago.  That's an expensive option 
unavailable to some/most Linux users.  I saw the patches post for the iSCSI 
support.  I thought that the code could be adapted for ATA over Ethernet, AOE 
http://www.coraid.com/tech1.html.  AOE has been in the kernel for sometime 
now.  The benefit to Fedora or ES users is similar to Xen support.  AOE allows 
a big file server to be a virtual hard drive dispenser for client PCs.  PCs 
are great, but if drivers are made available for the OpenMoko and Maemo 
platforms, then Fedora could host embedded devices need for an occasional 
larger storage area via AOE disk files as hard drives too. The nslu2 has an 
example idea 
http://www.nslu2-linux.org/wiki/Optware/Vblade . Perhaps a PC in the stereo 
rack would be quieter too.  There's a lj article here 
http://www.linuxjournal.com/article/8149

Things that may have to be considered:
1.) https://bugzilla.redhat.com/show_bug.cgi?id=381541 selinux configuration 
may have to be adapted.
2.) aoetools and perhaps the vblade tools will have to be available for 
anaconda to broadcast for available AOE drives. You do not have to have the 
Coraid hardware with the vblade tools 
http://sourceforge.net/project/shownotes.php?release_id=465195&group_id=130453  .
3.) I believe the "Advanced storage configuration" button is where the 
anaconda change should be made 
http://fedoraproject.org/wiki/Tours/Fedora8/005_Install_Partition
4.) Some sort of init script would be required.
5.) The init script may have to have, say, /etc/sysconfig/aoe information.
6.) The /boot partition may need some adjustsments so that that the kernel can 
load the drivers.
7.) Perhaps boot prom considerations are needed for diskless clients using a 
server with files uses as disk drives via vblade tools.

Version-Release number of selected component (if applicable):
11.3.0.50

Additional info:
AOE support should benefit other Red Hat products too.
Comment 1 Chris Lumens 2008-08-01 11:54:10 EDT
Looks like there are a whole lot of components involved here.  (1) is an SELinux
problem, (2) is a problem of needing various tools packages in the distribution
(which may already exist), and then added to anaconda, (3) is part of anaconda,
(4) and (5) are init scripts, (6) and (7) at least involve various bootloaders,
booty, mkinitrd, and possibly other components.  This report can serve as the
RFE for the anaconda components, but I think separate bugs need to be filed
against all the other components as well to make sure they do their part.  You
may also want a tracker.

Realistically, we're not going to do anything on anaconda until the other
components are in and tested since otherwise there's nothing really for us to
use.  Getting this feature implemented is going to require a suitably motivated
individual or group to shepherd it through the process, possibly helping out
with testing and patching along the way.  We haven't really heard much interest
in adding this either from individuals or customers, this bug report excluded.
Comment 2 Bug Zapper 2008-11-26 03:25:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:12:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.